Name: ca_PSC-Myproxy-CA
Version: 1.102
Release: 1
Source: ca_PSC-Myproxy-CA-1.102.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_PSC-Myproxy-CA-1.102/4b2783ac.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for slcs accredited authority PSC-Myproxy-CA

%if %([ -n "http://www.psc.edu/ca/" ] && echo 1 || echo 0)
URL: http://www.psc.edu/ca/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_PSC-Myproxy-CA-1.102

%description
This is the trust anchor for the slcs accredited authority PSC-Myproxy-CA.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

